For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • HRIS Guides
    • Introduction
  • HRIS Common Use Cases
    • Sync Deel users to identity providers
  • SCIM API
    • Overview
  • HRIS Endpoints
      • PUTCreate a parent worker relation
      • PUTCreate a parent worker relation with external id
      • POSTCreate a worker relation
      • PUTCreate child worker relation
      • PUTCreate child worker relation with external Id
      • POSTCreate worker relation type
      • POSTCreate worker relation with external Ids
      • DELDelete a worker relation
      • DELDelete a worker relation by external id
      • DELDelete a worker relation type
      • DELDelete a worker relation type by external id
      • GETFetch Worker Relations of a given HrisProfile by external id
      • GETList of worker relations
      • GETRetrieve all worker relation types
      • PATCHUpdate a worker relation type
      • PATCHUpdate a worker relation type by external id
  • ATS Guides
    • Introduction
    • Getting started
    • Manage jobs
    • Manage candidates and applications
    • Webhooks
  • ATS Common Use Cases
    • From candidate to contract
  • ATS Endpoints
LogoLogo
SupportDeel Home
HRIS EndpointsWorker Relations

Update a worker relation type

PATCH
/hris/worker_relations/types/:typeId
PATCH
/rest/v2/hris/worker_relations/types/:typeId
$curl -X PATCH https://api.letsdeel.com/rest/v2/hris/worker_relations/types/f47ac10b-58cc-4372-a567-0e02b2c3d479 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "data": {
3 "id": 1,
4 "child_name": "Child",
5 "is_default": false,
6 "external_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
7 "parent_name": "Parent"
8 }
9}

Applies a partial update to an existing worker relation type. Only fields provided in the request body are modified; omitted fields retain their current values. Token scopes: organizations:write

Was this page helpful?
Previous

Update a worker relation type by external id

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

typeIdstringRequiredformat: "uuid"
Worker Relation Type id

Request

This endpoint expects an object.
dataobjectOptional

Response

Successful operation
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication